from telebot.types import KeyboardButton, ReplyKeyboardMarkup

class Keyboards:
    def __init__(self) -> None:
        self.markup = ReplyKeyboardMarkup()
    
    def create_buttons(self, data: tuple, row_width: int = 3) -> ReplyKeyboardMarkup:
        self.markup = ReplyKeyboardMarkup()
        self.markup.row_width = row_width

        for item in data:
            self.markup.add(KeyboardButton(item))

        return self.markup
